| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Enumerations | Functions
Receive Mux
Channel control

## Description

These functions are thread-safe.

## Enumerations
enum | bladerf_rx_mux { BLADERF_RX_MUX_INVALID = -1 , BLADERF_RX_MUX_BASEBAND = 0x0 , BLADERF_RX_MUX_12BIT_COUNTER = 0x1 , BLADERF_RX_MUX_32BIT_COUNTER = 0x2 , BLADERF_RX_MUX_DIGITAL_LOOPBACK = 0x4 }

## Functions
API_EXPORT int CALL_CONV | bladerf_set_rx_mux (struct bladerf *dev, bladerf_rx_mux mux)
API_EXPORT int CALL_CONV | bladerf_get_rx_mux (struct bladerf *dev, bladerf_rx_mux *mode)

## Enumeration Type Documentation

## ◆ bladerf_rx_mux

enum bladerf_rx_mux

RX Mux modes

These values describe the source of samples to the RX FIFOs in the FPGA. They map directly to rx_mux_mode_t inside the FPGA's source code.

Enumerator
BLADERF_RX_MUX_INVALID | Invalid RX Mux mode selection
BLADERF_RX_MUX_BASEBAND | Read baseband samples. This is the default mode of operation.
BLADERF_RX_MUX_12BIT_COUNTER | Read samples from 12 bit counters. The I channel counts up while the Q channel counts down.
BLADERF_RX_MUX_32BIT_COUNTER | Read samples from a 32 bit up-counter. I and Q form a little-endian value.
BLADERF_RX_MUX_DIGITAL_LOOPBACK | Read samples from the baseband TX input to the FPGA (from the host)

Definition at line 1744 of file libbladeRF.h.

## Function Documentation

## ◆ bladerf_get_rx_mux()

API_EXPORT int CALL_CONV bladerf_get_rx_mux | ( | struct bladerf * | dev,
|  | bladerf_rx_mux * | mode )

Gets the current RX Mux mode

Parameters

  | dev | Device handle
  [out] | mode | Current RX Mux mode

Returns
  0 on success, value from Error codes list on failure.

## ◆ bladerf_set_rx_mux()

API_EXPORT int CALL_CONV bladerf_set_rx_mux | ( | struct bladerf * | dev,
|  | bladerf_rx_mux | mux )

Set the current RX Mux mode

Parameters

  | dev | Device handle
  [in] | mux | Mux mode.

Returns
  0 on success, value from Error codes list on failure.